GCLI-PIPELINES(1)

NAME
gcli pipelines - Inspect and manage GitLab Pipelines

SYNOPSIS
gcli pipelines [-n n] [-o owner -r repo]
gcli pipelines -p pipeline-id [-o owner -r repo] pipeline-actions...
gcli pipelines -j job-id [-o owner -r repo] job-actions...

DESCRIPTION
gcli pipelines is used to display data about the Continuous Integration (CI) service of GitLab. You can list pipelines of a given repository, list jobs in a given pipeline or perform actions such as restarting jobs or fetching their logs.

OPTIONS

-o, --owner owner
    Operate on the repository of the given owner. This option can only be used in combination with -r.

-r, --repo repo
    Operate on the given repository. This option can only be used in combination with -o.

-n, --count n
    Fetch at least n items. Setting n to -1 will fetch all items. Default: 30. Note that on large repositories fetching all items can take a considerable amount of time and may result in rate limiting by the GitLab API.

-p, --pipeline pipeline-id
    Execute the given actions for the specified pipeline-id.

-j, --job job
    execute the given actions for the specified job.

ACTIONS
job-actions... may be one or more of the following:

log Dump the log of the job.

status
    Print a short summary of the job.

cancel
    Cancel the job.

retry
    Retry the job.

artifacts [-o outfile]
    Download the artifacts archive as a zip to disk. The default output file is artifacts.zip but it can be overridden by using the -o flag.

pipeline-actions... may be one or more of the following:

all Print a summary with all information about the pipeline.

status
    Print a short status summary of the pipeline.

jobs
    Print a list of jobs running in the pipeline.

children
    Print a list of child pipelines triggered by this pipeline.

open
    Opens the pipeline in a web browser.

EXAMPLES
Print a list of the last 30 pipelines in the current project:

    $ gcli pipelines

Print a summary of pipeline 420:

    $ gcli pipelines -p 420 all

List only jobs of pipeline #3316:

    $ gcli pipelines -p3316 jobs

Dump the log of Job #423141 in herrhotzenplotz/gcli:

    $ gcli pipelines -o herrhotzenplotz -r gcli -j 423141 log

SEE ALSO
git(1), gcli(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
We are missing a -a flag. This is the current implied behaviour.

Please report bugs via E-Mail to https://lists.sr.ht/~herrhotzenplotz/gcli-discuss.

Alternatively you can report them on any of the forges linked at https://sr.ht/~herrhotzenplotz/gcli. However, the preferred and quickest method is to use the mailing list.